Index: CKEditor/trunk/_source/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/lang/gu.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/gu.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'ફૉર્મ/પત્રક',
 		checkbox		: 'ચેક બોક્સ',
-		radio		: 'રેડિઓ બટન',
+		radio			: 'રેડિઓ બટન',
 		textField		: 'ટેક્સ્ટ ફીલ્ડ, શબ્દ ક્ષેત્ર',
 		textarea		: 'ટેક્સ્ટ એરિઆ, શબ્દ વિસ્તાર',
 		hiddenField		: 'ગુપ્ત ક્ષેત્ર',
 		button			: 'બટન',
-		select	: 'પસંદગી ક્ષેત્ર',
+		select			: 'પસંદગી ક્ષેત્ર',
 		imageButton		: 'ચિત્ર બટન',
 		notSet			: '<સેટ નથી>',
@@ -89,9 +93,17 @@
 		ok				: 'ઠીક છે',
 		cancel			: 'રદ કરવું',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'General', // MISSING
 		advancedTab		: 'અડ્વાન્સડ',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
+		validateNumberFailed : 'This value is not a number.', // MISSING
 		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
 		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'અડ્વાન્સડ',
 		type		: 'લિંક પ્રકાર',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'આ પેજનો ઍંકર',
 		toEmail		: 'ઈ-મેલ',
-		target		: 'ટાર્ગેટ/લક્ષ્ય',
-		targetNotSet	: '<સેટ નથી>',
-		targetFrame	: '<ફ્રેમ>',
-		targetPopup	: '<પૉપ-અપ વિન્ડો>',
-		targetNew	: 'નવી  વિન્ડો (_blank)',
-		targetTop	: 'ઉપરની વિન્ડો (_top)',
-		targetSelf	: 'આજ વિન્ડો (_self)',
-		targetParent	: 'મૂળ વિન્ડો (_parent)',
+		targetFrame		: '<ફ્રેમ>',
+		targetPopup		: '<પૉપ-અપ વિન્ડો>',
 		targetFrameName	: 'ટાર્ગેટ ફ્રેમ નું નામ',
 		targetPopupName	: 'પૉપ-અપ વિન્ડો નું નામ',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Resizable', // MISSING
 		popupStatusBar	: 'સ્ટૅટસ બાર',
-		popupLocationBar	: 'લોકેશન બાર',
+		popupLocationBar: 'લોકેશન બાર',
 		popupToolbar	: 'ટૂલ બાર',
 		popupMenuBar	: 'મેન્યૂ બાર',
@@ -144,5 +151,4 @@
 		id				: 'Id', // MISSING
 		langDir			: 'ભાષા લેખવાની પદ્ધતિ',
-		langDirNotSet	: '<સેટ નથી>',
 		langDirLTR		: 'ડાબે થી જમણે (LTR)',
 		langDirRTL		: 'જમણે થી ડાબે (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'કોઠાની બાજુ(બોર્ડર) સાઇઝ',
 		align		: 'અલાઇનમન્ટ/ગોઠવાયેલું ',
-		alignNotSet	: '<સેટ નથી>',
 		alignLeft	: 'ડાબી બાજુ',
 		alignCenter	: 'મધ્ય સેન્ટર',
@@ -211,4 +216,5 @@
 		widthPx		: 'પિકસલ',
 		widthPc		: 'પ્રતિશત',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'ઊંચાઈ',
 		cellSpace	: 'સેલ અંતર',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'ક્રિયા',
 		method		: 'પદ્ધતિ',
-		encoding	: 'Encoding', // MISSING
-		target		: 'ટાર્ગેટ/લક્ષ્ય',
-		targetNotSet	: '<સેટ નથી>',
-		targetNew	: 'નવી  વિન્ડો (_blank)',
-		targetTop	: 'ઉપરની વિન્ડો (_top)',
-		targetSelf	: 'આજ વિન્ડો (_self)',
-		targetParent	: 'મૂળ વિન્ડો (_parent)'
+		encoding	: 'Encoding' // MISSING
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'ચિત્ર બટનના ગુણ',
 		menu		: 'ચિત્રના ગુણ',
-		infoTab	: 'ચિત્ર ની જાણકારી',
+		infoTab		: 'ચિત્ર ની જાણકારી',
 		btnUpload	: 'આ સર્વરને મોકલવું',
-		url		: 'URL',
-		upload	: 'અપલોડ',
-		alt		: 'ઑલ્ટર્નટ ટેક્સ્ટ',
+		upload		: 'અપલોડ',
+		alt			: 'ઑલ્ટર્નટ ટેક્સ્ટ',
 		width		: 'પહોળાઈ',
-		height	: 'ઊંચાઈ',
+		height		: 'ઊંચાઈ',
 		lockRatio	: 'લૉક ગુણોત્તર',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'રીસેટ સાઇઝ',
-		border	: 'બોર્ડર',
-		hSpace	: 'સમસ્તરીય જગ્યા',
-		vSpace	: 'લંબરૂપ જગ્યા',
+		border		: 'બોર્ડર',
+		hSpace		: 'સમસ્તરીય જગ્યા',
+		vSpace		: 'લંબરૂપ જગ્યા',
 		align		: 'લાઇનદોરીમાં ગોઠવવું',
 		alignLeft	: 'ડાબી બાજુ ગોઠવવું',
 		alignRight	: 'જમણી',
-		preview	: 'પૂર્વદર્શન',
 		alertUrl	: 'ચિત્રની URL ટાઇપ કરો',
-		linkTab	: 'લિંક',
+		linkTab		: 'લિંક',
 		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'ફ્લૅશના ગુણ',
 		propertiesTab	: 'Properties', // MISSING
-		title		: 'ફ્લૅશ ગુણ',
-		chkPlay		: 'ઑટો/સ્વયં પ્લે',
-		chkLoop		: 'લૂપ',
-		chkMenu		: 'ફ્લૅશ મેન્યૂ નો પ્રયોગ કરો',
-		chkFull		: 'Allow Fullscreen', // MISSING
- 		scale		: 'સ્કેલ',
+		title			: 'ફ્લૅશ ગુણ',
+		chkPlay			: 'ઑટો/સ્વયં પ્લે',
+		chkLoop			: 'લૂપ',
+		chkMenu			: 'ફ્લૅશ મેન્યૂ નો પ્રયોગ કરો',
+		chkFull			: 'Allow Fullscreen', // MISSING
+ 		scale			: 'સ્કેલ',
 		scaleAll		: 'સ્કેલ ઓલ/બધુ બતાવો',
 		scaleNoBorder	: 'સ્કેલ બોર્ડર વગર',
@@ -411,38 +415,38 @@
 		access			: 'Script Access', // MISSING
 		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
-		align		: 'લાઇનદોરીમાં ગોઠવવું',
-		alignLeft	: 'ડાબી બાજુ ગોઠવવું',
-		alignAbsBottom: 'Abs નીચે',
-		alignAbsMiddle: 'Abs ઉપર',
+		accessSameDomain: 'Same domain', // MISSING
+		accessNever		: 'Never', // MISSING
+		align			: 'લાઇનદોરીમાં ગોઠવવું',
+		alignLeft		: 'ડાબી બાજુ ગોઠવવું',
+		alignAbsBottom	: 'Abs નીચે',
+		alignAbsMiddle	: 'Abs ઉપર',
 		alignBaseline	: 'આધાર લીટી',
-		alignBottom	: 'નીચે',
-		alignMiddle	: 'વચ્ચે',
-		alignRight	: 'જમણી',
+		alignBottom		: 'નીચે',
+		alignMiddle		: 'વચ્ચે',
+		alignRight		: 'જમણી',
 		alignTextTop	: 'ટેક્સ્ટ ઉપર',
-		alignTop	: 'ઉપર',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
-		bgcolor	: 'બૅકગ્રાઉન્ડ રંગ,',
-		width	: 'પહોળાઈ',
-		height	: 'ઊંચાઈ',
-		hSpace	: 'સમસ્તરીય જગ્યા',
-		vSpace	: 'લંબરૂપ જગ્યા',
-		validateSrc : 'લિંક  URL ટાઇપ કરો',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		alignTop		: 'ઉપર',
+		quality			: 'Quality', // MISSING
+		qualityBest		: 'Best', // MISSING
+		qualityHigh		: 'High', // MISSING
+		qualityAutoHigh	: 'Auto High', // MISSING
+		qualityMedium	: 'Medium', // MISSING
+		qualityAutoLow	: 'Auto Low', // MISSING
+		qualityLow		: 'Low', // MISSING
+		windowModeWindow: 'Window', // MISSING
+		windowModeOpaque: 'Opaque', // MISSING
+		windowModeTransparent : 'Transparent', // MISSING
+		windowMode		: 'Window mode', // MISSING
+		flashvars		: 'Variables for Flash', // MISSING
+		bgcolor			: 'બૅકગ્રાઉન્ડ રંગ,',
+		width			: 'પહોળાઈ',
+		height			: 'ઊંચાઈ',
+		hSpace			: 'સમસ્તરીય જગ્યા',
+		vSpace			: 'લંબરૂપ જગ્યા',
+		validateSrc		: 'લિંક  URL ટાઇપ કરો',
+		validateWidth	: 'Width must be a number.', // MISSING
+		validateHeight	: 'Height must be a number.', // MISSING
+		validateHSpace	: 'HSpace must be a number.', // MISSING
+		validateVSpace	: 'VSpace must be a number.' // MISSING
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 element' // MISSING
 	},
 
-	numberedlist : 'સંખ્યાંકન સૂચિ',
-	bulletedlist : 'બુલેટ સૂચિ',
-	indent : 'ઇન્ડેન્ટ, લીટીના આરંભમાં જગ્યા વધારવી',
-	outdent : 'ઇન્ડેન્ટ લીટીના આરંભમાં જગ્યા ઘટાડવી',
+	numberedlist	: 'સંખ્યાંકન સૂચિ',
+	bulletedlist	: 'બુલેટ સૂચિ',
+	indent			: 'ઇન્ડેન્ટ, લીટીના આરંભમાં જગ્યા વધારવી',
+	outdent			: 'ઇન્ડેન્ટ લીટીના આરંભમાં જગ્યા ઘટાડવી',
 
 	justify :
 	{
-		left : 'ડાબી બાજુએ/બાજુ તરફ',
-		center : 'સંકેંદ્રણ/સેંટરિંગ',
-		right : 'જમણી બાજુએ/બાજુ તરફ',
-		block : 'બ્લૉક, અંતરાય જસ્ટિફાઇ'
+		left	: 'ડાબી બાજુએ/બાજુ તરફ',
+		center	: 'સંકેંદ્રણ/સેંટરિંગ',
+		right	: 'જમણી બાજુએ/બાજુ તરફ',
+		block	: 'બ્લૉક, અંતરાય જસ્ટિફાઇ'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'તમારા બ્રાઉઝર ની સુરક્ષિત સેટિંગસ કોપી કરવાની પરવાનગી નથી આપતી.  (Ctrl+C) का प्रयोग करें।',
 		pasteMsg	: 'Ctrl+V નો પ્રયોગ કરી પેસ્ટ કરો',
-		securityMsg	: 'તમારા બ્રાઉઝર ની સુરક્ષિત સેટિંગસના કારણે,એડિટર તમારા કિલ્પબોર્ડ ડેટા ને કોપી નથી કરી શકતો. તમારે આ વિન્ડોમાં ફરીથી પેસ્ટ કરવું પડશે.'
+		securityMsg	: 'તમારા બ્રાઉઝર ની સુરક્ષિત સેટિંગસના કારણે,એડિટર તમારા કિલ્પબોર્ડ ડેટા ને કોપી નથી કરી શકતો. તમારે આ વિન્ડોમાં ફરીથી પેસ્ટ કરવું પડશે.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
-		toolbar : 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
-		title : 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		toolbar			: 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
+		title			: 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'પેસ્ટ (ટેક્સ્ટ)',
-		title : 'પેસ્ટ (ટેક્સ્ટ)'
+		button	: 'પેસ્ટ (ટેક્સ્ટ)',
+		title	: 'પેસ્ટ (ટેક્સ્ટ)'
 	},
 
 	templates :
 	{
-		button : 'ટેમ્પ્લેટ',
-		title : 'કન્ટેન્ટ ટેમ્પ્લેટ',
-		insertOption: 'મૂળ શબ્દને બદલો',
-		selectPromptMsg: 'એડિટરમાં ઓપન કરવા ટેમ્પ્લેટ પસંદ કરો (વર્તમાન કન્ટેન્ટ સેવ નહીં થાય):',
-		emptyListMsg : '(કોઈ ટેમ્પ્લેટ ડિફાઇન નથી)'
+		button			: 'ટેમ્પ્લેટ',
+		title			: 'કન્ટેન્ટ ટેમ્પ્લેટ',
+		insertOption	: 'મૂળ શબ્દને બદલો',
+		selectPromptMsg	: 'એડિટરમાં ઓપન કરવા ટેમ્પ્લેટ પસંદ કરો (વર્તમાન કન્ટેન્ટ સેવ નહીં થાય):',
+		emptyListMsg	: '(કોઈ ટેમ્પ્લેટ ડિફાઇન નથી)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'શૈલી/રીત',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		label		: 'શૈલી/રીત',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block Styles', // MISSING
+		panelTitle2	: 'Inline Styles', // MISSING
+		panelTitle3	: 'Object Styles' // MISSING
 	},
 
 	format :
 	{
-		label : 'ફૉન્ટ ફૉર્મટ, રચનાની શૈલી',
-		voiceLabel : 'Format', // MISSING
-		panelTitle : 'ફૉન્ટ ફૉર્મટ, રચનાની શૈલી',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
-
-		tag_p : 'સામાન્ય',
-		tag_pre : 'ફૉર્મટેડ',
-		tag_address : 'સરનામું',
-		tag_h1 : 'શીર્ષક 1',
-		tag_h2 : 'શીર્ષક 2',
-		tag_h3 : 'શીર્ષક 3',
-		tag_h4 : 'શીર્ષક 4',
-		tag_h5 : 'શીર્ષક 5',
-		tag_h6 : 'શીર્ષક 6',
-		tag_div : 'શીર્ષક (DIV)'
+		label		: 'ફૉન્ટ ફૉર્મટ, રચનાની શૈલી',
+		panelTitle	: 'ફૉન્ટ ફૉર્મટ, રચનાની શૈલી',
+
+		tag_p		: 'સામાન્ય',
+		tag_pre		: 'ફૉર્મટેડ',
+		tag_address	: 'સરનામું',
+		tag_h1		: 'શીર્ષક 1',
+		tag_h2		: 'શીર્ષક 2',
+		tag_h3		: 'શીર્ષક 3',
+		tag_h4		: 'શીર્ષક 4',
+		tag_h5		: 'શીર્ષક 5',
+		tag_h6		: 'શીર્ષક 6',
+		tag_div		: 'શીર્ષક (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'ફૉન્ટ',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'ફૉન્ટ',
-		panelVoiceLabel : 'Select a font' // MISSING
+		label		: 'ફૉન્ટ',
+		voiceLabel	: 'Font', // MISSING
+		panelTitle	: 'ફૉન્ટ'
 	},
 
 	fontSize :
 	{
-		label : 'ફૉન્ટ સાઇઝ/કદ',
-		voiceLabel : 'Font Size', // MISSING
-		panelTitle : 'ફૉન્ટ સાઇઝ/કદ',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		label		: 'ફૉન્ટ સાઇઝ/કદ',
+		voiceLabel	: 'Font Size', // MISSING
+		panelTitle	: 'ફૉન્ટ સાઇઝ/કદ'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'શબ્દનો રંગ',
-		bgColorTitle : 'બૅકગ્રાઉન્ડ રંગ,',
-		auto : 'સ્વચાલિત',
-		more : 'ઔર રંગ...'
+		textColorTitle	: 'શબ્દનો રંગ',
+		bgColorTitle	: 'બૅકગ્રાઉન્ડ રંગ,',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'સ્વચાલિત',
+		more			: 'ઔર રંગ...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title			: 'Spell Check As You Type', // MISSING
+		enable			: 'Enable SCAYT', // MISSING
+		disable			: 'Disable SCAYT', // MISSING
+		about			: 'About SCAYT', // MISSING
+		toggle			: 'Toggle SCAYT', // MISSING
+		options			: 'Options', // MISSING
+		langs			: 'Languages', // MISSING
+		moreSuggestions	: 'More suggestions', // MISSING
+		ignore			: 'Ignore', // MISSING
+		ignoreAll		: 'Ignore All', // MISSING
+		addWord			: 'Add Word', // MISSING
+		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		optionsTab		: 'Options', // MISSING
+		languagesTab	: 'Languages', // MISSING
+		dictionariesTab	: 'Dictionaries', // MISSING
+		aboutTab		: 'About' // MISSING
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
+		title		: 'About CKEditor', // MISSING
+		dlgTitle	: 'About CKEditor', // MISSING
+		moreInfo	: 'For licensing information please visit our web site:', // MISSING
+		copy		: 'Copyright &copy; $1. All rights reserved.' // MISSING
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
+		anchor	: 'Anchor', // MISSING
+		flash	: 'Flash Animation', // MISSING
+		div		: 'Page Break', // MISSING
+		unknown	: 'Unknown Object' // MISSING
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
Index: CKEditor/trunk/_source/lang/he.js
===================================================================
--- CKEditor/trunk/_source/lang/he.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/he.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'עורך טקסט עשיר, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'טופס',
 		checkbox		: 'תיבת סימון',
-		radio		: 'לחצן אפשרויות',
+		radio			: 'לחצן אפשרויות',
 		textField		: 'שדה טקסט',
 		textarea		: 'איזור טקסט',
 		hiddenField		: 'שדה חבוי',
 		button			: 'כפתור',
-		select	: 'שדה בחירה',
+		select			: 'שדה בחירה',
 		imageButton		: 'כפתור תמונה',
 		notSet			: '<לא נקבע>',
@@ -89,9 +93,17 @@
 		ok				: 'אישור',
 		cancel			: 'ביטול',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'כללי',
 		advancedTab		: 'אפשרויות מתקדמות',
-		validateNumberFailed	: 'הערך חייב להיות מספרי.',
+		validateNumberFailed : 'הערך חייב להיות מספרי.',
 		confirmNewPage	: 'כל השינויים שלא נשמרו יאבדו. האם להעלות דף חדש?',
 		confirmCancel	: 'חלק מהאפשרויות שונו, האם לסגור את הדיאלוג?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'אפשרויות מתקדמות',
 		type		: 'סוג קישור',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'עוגן בעמוד זה',
 		toEmail		: 'דוא"ל',
-		target		: 'מטרה',
-		targetNotSet	: '<לא נקבע>',
-		targetFrame	: '<מסגרת>',
-		targetPopup	: '<חלון קופץ>',
-		targetNew	: 'חלון חדש (_blank)',
-		targetTop	: 'חלון ראשי (_top)',
-		targetSelf	: 'באותו החלון (_self)',
-		targetParent	: 'חלון האב (_parent)',
+		targetFrame		: '<מסגרת>',
+		targetPopup		: '<חלון קופץ>',
 		targetFrameName	: 'שם מסגרת היעד',
 		targetPopupName	: 'שם החלון הקופץ',
@@ -132,5 +139,5 @@
 		popupResizable	: 'שינוי גודל',
 		popupStatusBar	: 'סרגל חיווי',
-		popupLocationBar	: 'סרגל כתובת',
+		popupLocationBar: 'סרגל כתובת',
 		popupToolbar	: 'סרגל הכלים',
 		popupMenuBar	: 'סרגל תפריט',
@@ -144,5 +151,4 @@
 		id				: 'זיהוי (ID)',
 		langDir			: 'כיוון שפה',
-		langDirNotSet	: '<לא נקבע>',
 		langDirLTR		: 'שמאל לימין (LTR)',
 		langDirRTL		: 'ימין לשמאל (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'גודל מסגרת',
 		align		: 'יישור',
-		alignNotSet	: '<לא נקבע>',
 		alignLeft	: 'שמאל',
 		alignCenter	: 'מרכז',
@@ -211,4 +216,5 @@
 		widthPx		: 'פיקסלים',
 		widthPc		: 'אחוז',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'גובה',
 		cellSpace	: 'מרווח תא',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'שדה מתיחת השורות חייב להיות מספר שלם.',
 			invalidColSpan	: 'שדה מתיחת העמודות חייב להיות מספר שלם.',
-			chooseColor : 'בחר'
+			chooseColor		: 'בחר'
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'שלח אל',
 		method		: 'סוג שליחה',
-		encoding	: 'קידוד',
-		target		: 'מטרה',
-		targetNotSet	: '<לא נקבע>',
-		targetNew	: 'חלון חדש (_blank)',
-		targetTop	: 'חלון ראשי (_top)',
-		targetSelf	: 'באותו החלון (_self)',
-		targetParent	: 'חלון האב (_parent)'
+		encoding	: 'קידוד'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'מאפיני כפתור תמונה',
 		menu		: 'תכונות התמונה',
-		infoTab	: 'מידע על התמונה',
+		infoTab		: 'מידע על התמונה',
 		btnUpload	: 'שליחה לשרת',
-		url		: 'כתובת (URL)',
-		upload	: 'העלאה',
-		alt		: 'טקסט חלופי',
+		upload		: 'העלאה',
+		alt			: 'טקסט חלופי',
 		width		: 'רוחב',
-		height	: 'גובה',
+		height		: 'גובה',
 		lockRatio	: 'נעילת היחס',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'איפוס הגודל',
-		border	: 'מסגרת',
-		hSpace	: 'מרווח אופקי',
-		vSpace	: 'מרווח אנכי',
+		border		: 'מסגרת',
+		hSpace		: 'מרווח אופקי',
+		vSpace		: 'מרווח אנכי',
 		align		: 'יישור',
 		alignLeft	: 'לשמאל',
 		alignRight	: 'לימין',
-		preview	: 'תצוגה מקדימה',
 		alertUrl	: 'יש להקליד את כתובת התמונה',
-		linkTab	: 'קישור',
+		linkTab		: 'קישור',
 		button2Img	: 'האם להפוך את תמונת הכפתור לתמונה פשוטה?',
 		img2Button	: 'האם להפוך את התמונה לכפתור תמונה?',
-		urlMissing : 'כתובת התמונה חסרה.'
+		urlMissing	: 'כתובת התמונה חסרה.',
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'מאפייני פלאש',
 		propertiesTab	: 'מאפיינים',
-		title		: 'מאפיני פלאש',
-		chkPlay		: 'ניגון אוטומטי',
-		chkLoop		: 'לולאה',
-		chkMenu		: 'אפשר תפריט פלאש',
-		chkFull		: 'אפשר חלון מלא',
- 		scale		: 'גודל',
+		title			: 'מאפיני פלאש',
+		chkPlay			: 'ניגון אוטומטי',
+		chkLoop			: 'לולאה',
+		chkMenu			: 'אפשר תפריט פלאש',
+		chkFull			: 'אפשר חלון מלא',
+ 		scale			: 'גודל',
 		scaleAll		: 'הצג הכל',
 		scaleNoBorder	: 'ללא גבולות',
@@ -411,38 +415,38 @@
 		access			: 'גישת סקריפט',
 		accessAlways	: 'תמיד',
-		accessSameDomain	: 'דומיין זהה',
-		accessNever	: 'אף פעם',
-		align		: 'יישור',
-		alignLeft	: 'לשמאל',
-		alignAbsBottom: 'לתחתית האבסולוטית',
-		alignAbsMiddle: 'מרכוז אבסולוטי',
+		accessSameDomain: 'דומיין זהה',
+		accessNever		: 'אף פעם',
+		align			: 'יישור',
+		alignLeft		: 'לשמאל',
+		alignAbsBottom	: 'לתחתית האבסולוטית',
+		alignAbsMiddle	: 'מרכוז אבסולוטי',
 		alignBaseline	: 'לקו התחתית',
-		alignBottom	: 'לתחתית',
-		alignMiddle	: 'לאמצע',
-		alignRight	: 'לימין',
+		alignBottom		: 'לתחתית',
+		alignMiddle		: 'לאמצע',
+		alignRight		: 'לימין',
 		alignTextTop	: 'לראש הטקסט',
-		alignTop	: 'למעלה',
-		quality		: 'איכות',
-		qualityBest		 : 'מעולה',
-		qualityHigh		 : 'גבוהה',
-		qualityAutoHigh	 : 'גבוהה אוטומטית',
-		qualityMedium	 : 'ממוצעת',
-		qualityAutoLow	 : 'נמוכה אוטומטית',
-		qualityLow		 : 'נמוכה',
-		windowModeWindow	 : 'חלון',
-		windowModeOpaque	 : 'אטום',
-		windowModeTransparent	 : 'שקוף',
-		windowMode	: 'מצב חלון',
-		flashvars	: 'משתנים לפלאש',
-		bgcolor	: 'צבע רקע',
-		width	: 'רוחב',
-		height	: 'גובה',
-		hSpace	: 'מרווח אופקי',
-		vSpace	: 'מרווח אנכי',
-		validateSrc : 'יש להקליד את כתובת סרטון הפלאש (URL)',
-		validateWidth : 'הרוחב חייב להיות מספר.',
-		validateHeight : 'הגובה חייב להיות מספר.',
-		validateHSpace : 'המרווח האופקי חייב להיות מספר.',
-		validateVSpace : 'המרווח האנכי חייב להיות מספר.'
+		alignTop		: 'למעלה',
+		quality			: 'איכות',
+		qualityBest		: 'מעולה',
+		qualityHigh		: 'גבוהה',
+		qualityAutoHigh	: 'גבוהה אוטומטית',
+		qualityMedium	: 'ממוצעת',
+		qualityAutoLow	: 'נמוכה אוטומטית',
+		qualityLow		: 'נמוכה',
+		windowModeWindow: 'חלון',
+		windowModeOpaque: 'אטום',
+		windowModeTransparent : 'שקוף',
+		windowMode		: 'מצב חלון',
+		flashvars		: 'משתנים לפלאש',
+		bgcolor			: 'צבע רקע',
+		width			: 'רוחב',
+		height			: 'גובה',
+		hSpace			: 'מרווח אופקי',
+		vSpace			: 'מרווח אנכי',
+		validateSrc		: 'יש להקליד את כתובת סרטון הפלאש (URL)',
+		validateWidth	: 'הרוחב חייב להיות מספר.',
+		validateHeight	: 'הגובה חייב להיות מספר.',
+		validateHSpace	: 'המרווח האופקי חייב להיות מספר.',
+		validateVSpace	: 'המרווח האנכי חייב להיות מספר.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 אלמנט'
 	},
 
-	numberedlist : 'רשימה ממוספרת',
-	bulletedlist : 'רשימת נקודות',
-	indent : 'הגדלת הזחה',
-	outdent : 'הקטנת הזחה',
+	numberedlist	: 'רשימה ממוספרת',
+	bulletedlist	: 'רשימת נקודות',
+	indent			: 'הגדלת הזחה',
+	outdent			: 'הקטנת הזחה',
 
 	justify :
 	{
-		left : 'יישור לשמאל',
-		center : 'מרכוז',
-		right : 'יישור לימין',
-		block : 'יישור לשוליים'
+		left	: 'יישור לשמאל',
+		center	: 'מרכוז',
+		right	: 'יישור לימין',
+		block	: 'יישור לשוליים'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'הגדרות האבטחה בדפדפן שלך לא מאפשרות לעורך לבצע פעולות העתקה אוטומטיות. יש להשתמש במקלדת לשם כך (Ctrl+C).',
 		pasteMsg	: 'נא להדביק בתוך הקופסה באמצעות (<b>Ctrl+V</b>) וללחוץ על <b>אישור</b>.',
-		securityMsg	: 'עקב הגדרות אבטחה בדפדפן, לא ניתן לגשת אל לוח הגזירים (Clipboard) בצורה ישירה. נא להדביק שוב בחלון זה.'
+		securityMsg	: 'עקב הגדרות אבטחה בדפדפן, לא ניתן לגשת אל לוח הגזירים (Clipboard) בצורה ישירה. נא להדביק שוב בחלון זה.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'נראה הטקסט שבכוונתך להדביק מקורו בקובץ וורד. האם ברצונך לנקות אותו טרם ההדבקה?',
-		toolbar : 'הדבקה מ-Word',
-		title : 'הדבקה מ-Word',
-		error : 'לא ניתן היה לנקות את המידע בשל תקלה פנימית.'
+		confirmCleanup	: 'נראה הטקסט שבכוונתך להדביק מקורו בקובץ וורד. האם ברצונך לנקות אותו טרם ההדבקה?',
+		toolbar			: 'הדבקה מ-Word',
+		title			: 'הדבקה מ-Word',
+		error			: 'לא ניתן היה לנקות את המידע בשל תקלה פנימית.'
 	},
 
 	pasteText :
 	{
-		button : 'הדבקה כטקסט פשוט',
-		title : 'הדבקה כטקסט פשוט'
+		button	: 'הדבקה כטקסט פשוט',
+		title	: 'הדבקה כטקסט פשוט'
 	},
 
 	templates :
 	{
-		button : 'תבניות',
-		title : 'תביות תוכן',
-		insertOption: 'החלפת תוכן ממשי',
-		selectPromptMsg: 'יש לבחור תבנית לפתיחה בעורך.<br />התוכן המקורי ימחק:',
-		emptyListMsg : '(לא הוגדרו תבניות)'
+		button			: 'תבניות',
+		title			: 'תביות תוכן',
+		insertOption	: 'החלפת תוכן ממשי',
+		selectPromptMsg	: 'יש לבחור תבנית לפתיחה בעורך.<br />התוכן המקורי ימחק:',
+		emptyListMsg	: '(לא הוגדרו תבניות)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'סגנון',
-		voiceLabel : 'סגנונות',
-		panelVoiceLabel : 'בחירת סגנון',
-		panelTitle1 : 'סגנונות בלוק',
-		panelTitle2 : 'סגנונות רצף',
-		panelTitle3 : 'סגנונות אובייקט'
+		label		: 'סגנון',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'סגנונות בלוק',
+		panelTitle2	: 'סגנונות רצף',
+		panelTitle3	: 'סגנונות אובייקט'
 	},
 
 	format :
 	{
-		label : 'עיצוב',
-		voiceLabel : 'עיצוב',
-		panelTitle : 'עיצוב',
-		panelVoiceLabel : 'בחירת עיצוב פסקה',
-
-		tag_p : 'נורמלי',
-		tag_pre : 'קוד',
-		tag_address : 'כתובת',
-		tag_h1 : 'כותרת',
-		tag_h2 : 'כותרת 2',
-		tag_h3 : 'כותרת 3',
-		tag_h4 : 'כותרת 4',
-		tag_h5 : 'כותרת 5',
-		tag_h6 : 'כותרת 6',
-		tag_div : 'נורמלי (DIV)'
+		label		: 'עיצוב',
+		panelTitle	: 'עיצוב',
+
+		tag_p		: 'נורמלי',
+		tag_pre		: 'קוד',
+		tag_address	: 'כתובת',
+		tag_h1		: 'כותרת',
+		tag_h2		: 'כותרת 2',
+		tag_h3		: 'כותרת 3',
+		tag_h4		: 'כותרת 4',
+		tag_h5		: 'כותרת 5',
+		tag_h6		: 'כותרת 6',
+		tag_div		: 'נורמלי (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'גופן',
-		voiceLabel : 'גופן',
-		panelTitle : 'גופן',
-		panelVoiceLabel : 'בחירת גופן'
+		label		: 'גופן',
+		voiceLabel	: 'גופן',
+		panelTitle	: 'גופן'
 	},
 
 	fontSize :
 	{
-		label : 'גודל',
-		voiceLabel : 'גודל',
-		panelTitle : 'גודל',
-		panelVoiceLabel : 'בחירת גודל גופן'
+		label		: 'גודל',
+		voiceLabel	: 'גודל',
+		panelTitle	: 'גודל'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'צבע טקסט',
-		bgColorTitle : 'צבע רקע',
-		auto : 'אוטומטי',
-		more : 'צבעים נוספים...'
+		textColorTitle	: 'צבע טקסט',
+		bgColorTitle	: 'צבע רקע',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'אוטומטי',
+		more			: 'צבעים נוספים...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'בדיקת איות בזמן כתיבה (SCAYT)',
-		enable : 'אפשר SCAYT',
-		disable : 'בטל SCAYT',
-		about : 'אודות SCAYT',
-		toggle : 'שינוי SCAYT',
-		options : 'אפשרויות',
-		langs : 'שפות',
-		moreSuggestions : 'הצעות נוספות',
-		ignore : 'התעלמות',
-		ignoreAll : 'התעלמות מהכל',
-		addWord : 'הוספת מילה',
-		emptyDic : 'יש לבחור מילון.',
-		optionsTab : 'אפשרויות',
-		languagesTab : 'שפות',
-		dictionariesTab : 'מילון',
-		aboutTab : 'אודות'
+		title			: 'בדיקת איות בזמן כתיבה (SCAYT)',
+		enable			: 'אפשר SCAYT',
+		disable			: 'בטל SCAYT',
+		about			: 'אודות SCAYT',
+		toggle			: 'שינוי SCAYT',
+		options			: 'אפשרויות',
+		langs			: 'שפות',
+		moreSuggestions	: 'הצעות נוספות',
+		ignore			: 'התעלמות',
+		ignoreAll		: 'התעלמות מהכל',
+		addWord			: 'הוספת מילה',
+		emptyDic		: 'יש לבחור מילון.',
+		optionsTab		: 'אפשרויות',
+		languagesTab	: 'שפות',
+		dictionariesTab	: 'מילון',
+		aboutTab		: 'אודות'
 	},
 
 	about :
 	{
-		title : 'אודות CKEditor',
-		dlgTitle : 'אודות CKEditor',
-		moreInfo : 'למידע נוסף בקרו באתרנו:',
-		copy : 'Copyright &copy; $1. כל הזכויות שמורות.'
+		title		: 'אודות CKEditor',
+		dlgTitle	: 'אודות CKEditor',
+		moreInfo	: 'למידע נוסף בקרו באתרנו:',
+		copy		: 'Copyright &copy; $1. כל הזכויות שמורות.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'עוגן',
-		flash : 'סרטון פלאש',
-		div : 'שבירת דף',
-		unknown : 'אובייקט לא ידוע'
+		anchor	: 'עוגן',
+		flash	: 'סרטון פלאש',
+		div		: 'שבירת דף',
+		unknown	: 'אובייקט לא ידוע'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'בחירת צבע',
-		highlight : 'סימון',
-		selected : 'בחירה',
-		clear : 'ניקוי'
-	},
-
-	toolbarCollapse : 'מזעור סרגל כלים',
-	toolbarExpand : 'הרחבת סרגל כלים'
+		title		: 'בחירת צבע',
+		highlight	: 'סימון',
+		selected	: 'בחירה',
+		clear		: 'ניקוי'
+	},
+
+	toolbarCollapse	: 'מזעור סרגל כלים',
+	toolbarExpand	: 'הרחבת סרגל כלים'
 };
